/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class TestGenerateurNombreAleatoireEnConsole {

  public static void afficheTableau(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      Console.out.print(t[i]+" ");
    Console.out.println();
  }

  public static int nombreAleatoire(int max) {
    return((int) (Math.random()*(max+1)));
  }

  public static int [] generationClasses(int nb,int cl) {
    int [] effectifs = new int[cl];
    int i;
    for ( i = 0 ; i < nb ; i++ ) {
      effectifs[nombreAleatoire(cl-1)]++; }
    return(effectifs);
  }

  /* Fonction principale                                  */

  public static void main(String [] args) {
    Console.setTitle("TestGenerateurNombreAleatoire");
    Console.out.print("Nombre de valeurs aleatoires a generer : ");
    int nb = Integer.valueOf(Console.in.readLine()).intValue();
    Console.out.print("Nombre de classes a generer            : ");
    int cl = Integer.valueOf(Console.in.readLine()).intValue();
    int [] effectifs = generationClasses(nb,cl);
    Console.out.println("Effectifs : ");
    afficheTableau(effectifs);
  }
}